<?php 

class controller_addon_pop_up extends addon {

	public function action_index($addon) {

        $params = unserialize($addon['params']);

        $this->data['params'] = $params;

        $this->data['time'] = (!isset($_COOKIE['time'])) ? $params['interval'] : $_COOKIE['time'];

		$this->data['modal_html'] =  str_replace("\r\n", ' ',$this->load_view('modal'));
        $this->page['head'] = $this->load_view();

        if(isset($_POST['modal-submit'])) {

            $this->data['time'] = 3600;
            setcookie('time', $this->data['time']);

            $this->load_helper('mail');
            $this->helper_mail->from_name = 'Робот';
            $this->helper_mail->from_email = 'company@yandex.ru'; 
            $this->helper_mail->mail_target = $params['email'];
            $this->helper_mail->subject = 'Заказ звонка на сайте '.SITE_NAME;
            $message = $_POST['name'] . "\r\n" . $_POST['phone'] . "\r\n" . $_POST['text'];
            $message = 'На сайте '.SITE_URL.' заказан обратный звонок на номер '.$_POST['phone'].'.' . "\r\n" . 'Имя пользователя: ' . $_POST['name'] . "\r\n" . 'Сообщение: ' . $_POST['text'] . "\r\n";
            if (isset($_POST['date'])) $message .= ' Пользователь указал, что ждет звонка '.$_POST['date'].'.';
            $message .= 'Заявка получена '.date('d.m.Y в H:i').'.';
            $this->helper_mail->send($message);                  
        }

        else {/*Nothing*/}

		return $this->page;
	}

    public function action_activate() {
            
        if (isset($_POST['activate'])) {

            if(!empty($_POST['interval']) || !empty($_POST['email'])) {

                $this->page['params'] = serialize(array(
                'email' => $_POST['email'],
                'interval' => $_POST['interval'])); 
            }

            else {

                $this->page['params'] = serialize(array(
                'email' => 'dz@unibix.ru',
                'interval' => 60)); 
            }
        }

        else {

            $this->data['mail'] = '';
        }
              
        $this->page['html'] = $this->load_view('settings');
        return $this->page;
    }

	public function action_settings($addon) {

        $params = unserialize($addon['params']);

        if (isset($_POST['edit_settings'])) {

            $this->page['params'] = serialize(array(
                'email' => $_POST['email'],
                'interval' => $_POST['interval']
             ));
        }

        else {/*Nothing*/}
            
        $this->data['params'] = $params;

        $this->data['mail'] = $params['email'];

        $this->page['html'] = $this->load_view('settings');

        return $this->page;
    }

} 

?>